Announcement RPG Maker MV - v1.6.1 Stable Release!

XdnaX

Veteran
Veteran
Joined
Jul 30, 2018
Messages
30
Reaction score
8
First Language
English
Primarily Uses
RMVXA
Hello everyone have a problem with new update when i open the maker it opens but it justs a blank white screen
Here's the log it explains the problem i guess maybe someone will be able to help
[0811/132605:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/132607:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/132702:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/132702:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/132758:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/132758:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/132810:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/132911:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/132911:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/204653:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/204655:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/205058:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/205058:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/205108:WARNING:resource_bundle.cc(286)] locale_file_path.empty()
[0811/205108:WARNING:resource_bundle.cc(286)] locale_file_path.empty(

Thanks.
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
28,952
Reaction score
6,665
First Language
German
Primarily Uses
RMMV
@XdnaX what is the path where you installed the editor, and what is the path where you placed your projects?
This looks as if one of those paths does not conform to networking rules, preventing the program from loading all files.
 

XdnaX

Veteran
Veteran
Joined
Jul 30, 2018
Messages
30
Reaction score
8
First Language
English
Primarily Uses
RMVXA
@XdnaX what is the path where you installed the editor, and what is the path where you placed your projects?
This looks as if one of those paths does not conform to networking rules, preventing the program from loading all files.
My projects are usually in documents as usual but this time i installed the new version of maker in E drive inside one of my folders
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
28,952
Reaction score
6,665
First Language
German
Primarily Uses
RMMV
My projects are usually in documents as usual but this time i installed the new version of maker in E drive inside one of my folders
I asked for the full path so that we could check every letter of every folder name to see if it conforms to networking rules or not.
 

XdnaX

Veteran
Veteran
Joined
Jul 30, 2018
Messages
30
Reaction score
8
First Language
English
Primarily Uses
RMVXA
I asked for the full path so that we could check every letter of every folder name to see if it conforms to networking rules or not.
Local disk D:\Installed Software\RPG MV\
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
28,952
Reaction score
6,665
First Language
German
Primarily Uses
RMMV
Spaces are not allowed under networking rules, that's why all HTML-based error messages replace them with %20 - they can't handle spaces (or non-latin letters or a number of other things).
Please reinstall the software and store the projects in folders whose path do not contain any spaces or other forbidden symbols.
_ is allowed as you might have seen through the internet, so foldernames like RPG_MV will work.
Unfortunately you can't rename "installed software" if you already have other programs there.

If that alone does not solve your problem, then make a new topic in tech-support so we can check what else might have gone wrong on your computer
 

XdnaX

Veteran
Veteran
Joined
Jul 30, 2018
Messages
30
Reaction score
8
First Language
English
Primarily Uses
RMVXA
@Andar i will report back after testing thanks for help :)
 

cedr777

Lead developer of "Charao Life"
Veteran
Joined
Feb 22, 2018
Messages
238
Reaction score
52
First Language
Not English
Primarily Uses
RMMV
correct me if i'm wrong but, how come people are allowed to download the RPG Maker MV software here? Wasn't it a paid software at steam?
I thought this site was strict on piracy.
 

JamesRyan

Game Designer
Veteran
Joined
Sep 13, 2014
Messages
590
Reaction score
187
First Language
Vietnamese
Primarily Uses
RMMV
Not sure what you mean, but this is the forum of official RPG Maker website, and you can buy and download the software HERE. The product key you are provided here can also be used on Steam, while the software sold on Steam is a Steam-exclusive version.
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
28,952
Reaction score
6,665
First Language
German
Primarily Uses
RMMV
correct me if i'm wrong but, how come people are allowed to download the RPG Maker MV software here?
As said above, this is the official website of the company that sells the the PC-based makers both here and on steam.
The download that you find here on the forum are a combination of trial and full version - without the key to activate them they become a one-time 20-day trial, but if you purchased it here on this website you'll get the key needed to activate the software both in the downloads here and on steam.
 

lawina

Veteran
Veteran
Joined
Sep 4, 2015
Messages
147
Reaction score
28
First Language
English
Primarily Uses
"Fix to the freeze when changing screen in-game"

Was this issue also present in version 1.5.2? As users who have played my game have reported this same problem to me. If it was also present in version 1.5.2, does anyone know what changes were done to have it resolved?
 

MikePjr

Artist
Veteran
Joined
Nov 7, 2012
Messages
553
Reaction score
233
First Language
English
Primarily Uses
It's not even starting for me.. i even tried to downgrade it.
Funny enough, RPG Maker MV on steam with this latest update is working fine for me.
I just prefer to not have to worry about steam running in the background in order to use RPG Maker..
It keeps giving me this.
Okay.. update..
I had to TOTALLY uninstall RPG Maker MV and install the installer for 1.6.1 in order to get it working..
Weird.
 
Last edited:

Jomarcenter

jomarcenter-MJM
Veteran
Joined
Apr 24, 2012
Messages
1,238
Reaction score
176
First Language
ENGLISH
Primarily Uses
RMMV
Any idea how to use the parallax resources especially the additional free plugin come packed with it. It in japanese on my side.
 

chendu

Warper
Member
Joined
Dec 24, 2016
Messages
1
Reaction score
0
First Language
French
Primarily Uses
1.6.1 doesn't work for me, had to re-enter product key when I started after the update and now it's just crashing after the initial loading...
I'm going to try a full re-install to see


+ I had a problem with 1.6.0 where some map files kept changing folder by themselves after each start of the program

Works fine after full re-install, plus the free-folder-happy map has stopped moving it seems
 
Last edited:

Dankovsky

Veteran
Veteran
Joined
Nov 26, 2017
Messages
200
Reaction score
151
First Language
RU
Primarily Uses
RMMV
I don't mean no disrespect but after taking the risk and updating to 1.6.1. I had to roll back to 1.5.2. after just a few minutes of testing.

It immediately broke (at least) 3 of my plugins (TDDP Mouse, YEP_Dragonbones, DreamX-Suffixes) and during menu and battle the FPS was lowered to 10-20 FPS (probably because of another incompatibility or something).

This should have been obvious in hindsight but maybe updating is not a good idea if you're working on a project started in 1.5.2.

This is by no means a fault of the developers, but still hope I can save someone some headache.
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
28,952
Reaction score
6,665
First Language
German
Primarily Uses
RMMV
It immediately broke (at least) 3 of my plugins (TDDP Mouse, YEP_Dragonbones, DreamX-Suffixes) and during menu and battle the FPS was lowered to 10-20 FPS (probably because of another incompatibility or something).

This should have been obvious in hindsight but maybe updating is not a good idea if you're working on a project started in 1.5.2.
no - the problems are the plugins.
if you don't use any plugins, then there will never be any problem with updating.

but some plugins use functions internally that are changed with the updates, and then the plugin is incompatible to the new version until the plugin programmer updates it.

And that is why the project updates are always manual (with the exception of the broken 1.6.0), so that you can check if your plugins have current and compatible versions before updating - and why the update instructions especially tell you to make a backup before updating.
 

Dankovsky

Veteran
Veteran
Joined
Nov 26, 2017
Messages
200
Reaction score
151
First Language
RU
Primarily Uses
RMMV
no - the problems are the plugins.
if you don't use any plugins, then there will never be any problem with updating.

but some plugins use functions internally that are changed with the updates, and then the plugin is incompatible to the new version until the plugin programmer updates it.

And that is why the project updates are always manual (with the exception of the broken 1.6.0), so that you can check if your plugins have current and compatible versions before updating - and why the update instructions especially tell you to make a backup before updating.
"Don't use any plugins and you'll be fine" is not a very realistic suggestion, considering plugins are the main feature and advantage of using RPG Maker MV.

I know the devs are not to blame, and they're just doing their best to improve the Maker, but we can't just fault the plugin developers either. Most of them create plugins as a hobby for free and aren't at all obligated to update them. The sad truth is that most plugin makers (GALV, SRD, Hime, to name a few) except Yanfly don't even update their plugins anymore, so if an engine update breaks them - they're broken forever. That means you simply won't be able to have some features in your 1.6.1. game that were possible before.

That's why I mean that someone developing a game in 1.5.2. (or before) should probably think twice and recheck everything before updating to 1.6.1. For many of us, updating will now be simply impossible without scrapping our current project.

That's why it should be taken as a fair warning and not a criticism.
 

bgillisp

Global Moderators
Global Mod
Joined
Jul 2, 2014
Messages
12,498
Reaction score
12,779
First Language
English
Primarily Uses
RMVXA
Look, there's a reason AAA companies don't update to the newest engine every time an update comes along when a game is mid-development, and it is because it will break things. That's why you see all of the following in history:

When windows 95 came out, we still got DOS games for a few years, as they were mid-development when windows 95 came out.
When the ps2 was released, we still got Ps1 games for a few more years (same with PS3, Ps2 games still came out, and same with PS4, Ps3 games still came out), as they were mid-development.
There are many cases of developers using old versions of unity as unity updated but they were mid-development.

If AAA companies don't update mid game making, then maybe it is there is a good reason for it, and why do you think it is going to go any better for you than it does for all of the companies that have been around for the last 30 - 40 years?

So yes, if you are mid development, and have your plug-ins set, take a hint from how AAA companies do it and don't update. Instead, update later for your next project, if you feel you should at that point in time.

I myself am still on version 1.1 of MV. Why? Because I have a project I started in 2016 when that was the newest version of it, I got all of my plug-ins working, and an update will break all of that. But I want to actually finish and not be stuck in development updates for the next 10+ years.
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
28,952
Reaction score
6,665
First Language
German
Primarily Uses
RMMV
and the update instructions specifically include making a backup copy, exactly because that allows you to test an update for compatibility and go back to the pre-update version if something breaks.

But of course you need to test for compatibility (which does take time) instead of simply going on with development on the new updated version just because you didn't get an error within five seconds of updating...
 

Caitlin

\(=^o^=)/ Kitten shall rule the world!!!
Veteran
Joined
May 6, 2012
Messages
918
Reaction score
2,093
First Language
English
Primarily Uses
RMMV
Okay, I have a quick question that's related to the update, but I just barely. It says that the Dancer in people2 was replaced, but I can't tell a difference between any of them from the one in the NEW folder or the DLC Base folder where the other one was suppose to be. Normally I can see a difference, but could someone please tell me what the difference is? Because I'm feeling stupid right now.
 

Users Who Are Viewing This Thread (Users: 0, Guests: 3)

Latest Threads

Latest Posts

Latest Profile Posts

I am dead tired but at the same time I really wanna write a tutorial x_x
Looked out side and couldn't see the neighbor's house through the snow. That age old Christmas song started going through my head. "It's a lovely day to say the heck at home."
Last year, I planted a bunch of spinach, and one plant wasn't doing well, so I transferred it to a separate pot. All its kin died while it hibernated over winter. Now it thrives. I've named it Prince Spinach.
Scooby Doo on Zombie Island is anime and you cant change my mind.
I guess the concept of friendship has changed :") Today I saw a very quiet boy getting bullied by his 'friends' because he wasn't talking. They made a circle and made him sit in the middle and were nagging him saying hey talk, sing a song, do this tongue twister etc. etc. And I could totally see the discomfort in the boy's face. Glad I don't have 'friends' lmao

Forum statistics

Threads
93,371
Messages
911,733
Members
122,863
Latest member
muhlijem
Top